System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.IDisposable Diagnostic message handler.

Instances of the TraceListener class are used by the and classes for handling diagnostic (trace) messages.

TraceListeners can be managed either through application code, or through the application .config file, by using the (XPath) /configuration/system.diagnostics/trace/listeners and related elements.

To manage TraceListeners in the .config file:

To add a TraceListener, use the (XPath) /configuration/system.diagnostics/trace/listeners/add element, setting the name, type, and (optional) initializeData attributes. The name attribute sets the property, and allows the TraceListener to be removed by-name. The type attribute is the type to instantiate, through . The initializeData attribute is a to pass to the type's constructor; it's meaning is dependent upon the type instantiated.
To remove a TraceListener, use the (XPath) /configuration/system.diagnostics/trace/listeners/remove element, setting the name attribute to the name of the TraceListener to remove.
To remove all TraceListeners, use the (XPath) /configuration/system.diagnostics/trace/listeners/clear element.

The application .config file can also be used to set the default values of the and properties on the and classes, by setting the autoflush and indentsize attributes on the (XPath) /configuration/system.diagnostics/trace element.

A sample .config file setting all of these elements:

`<configuration> <system.diagnostics> <!-- Turns off System.Diagnostics.Trace.AutoFlush and sets System.Diagnostics.Trace.TraceListener.IndentSize to 8. --> <trace autoflush="false" indentsize="8"> <listeners> <!-- Add the "foo" TraceListener --> <add name="foo" type="System.Diagnostics.TextWriterTraceListener, System" initializeData="some-file.txt"/> <!-- Remove the TraceListener we just added --> <remove name="foo"/> <!-- Remove all TraceListeners. This also removes the DefaultTraceListener --> <clear/> <!-- Add the DefaultTraceListener back. --> <add name="Default" type="System.Diagnostics.DefaultTraceListener, System"/> </listeners> </trace> </system.diagnostics> </configuration>`

The string specified in the type attribute will need to be a fully-qualified class name to operate properly with shared assemblies. More specifically, "System.Diagnostics.TextWriterTraceListener, System" will not work on .NET, as that is the fully-qualified class name for a private assembly, not the public/shared assemby part of .NET. Instead, .NET requires "System.Diagnostics.TextWriterTraceListener, System, Version=1.0.3300.0, Culture=neutral, PublicKeyToken=b77a5c561934e089".

- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'string'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Collections.Specialized.StringDictionary To be added. To be added. To be added.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'bool' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Diagnostics.TraceFilter To be added. To be added. To be added.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.String[] To be added. To be added. To be added.
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void `` `` `` `` `System.ParamArray` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void `` `` `` `` `` `System.ParamArray` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Diagnostics.TraceOptions To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` To be added: an object of type 'object' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'object' To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'object' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'object' To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0